package com.chenyang.nse.bussiness.entity.vo.strategy;

public class ReplaceColumnParamVO {
   private String dataSystemId;
   private String projectId;
   private String schema;
   private String tableName;
   private String ColumnName;
   private String sourceColumnType;
   private String sourceColumnSize;
   private String targetColumnType;
   private String targetColumnSize;
   private String flag;
   private String encryptionId;

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public void setDataSystemId(String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public String getSourceColumnSize() {
      return this.sourceColumnSize;
   }

   public void setSourceColumnSize(String sourceColumnSize) {
      this.sourceColumnSize = sourceColumnSize;
   }

   public String getTargetColumnSize() {
      return this.targetColumnSize;
   }

   public void setTargetColumnSize(String targetColumnSize) {
      this.targetColumnSize = targetColumnSize;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public void setProjectId(String projectId) {
      this.projectId = projectId;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getTableName() {
      return this.tableName;
   }

   public void setTableName(String tableName) {
      this.tableName = tableName;
   }

   public String getSourceColumnType() {
      return this.sourceColumnType;
   }

   public void setSourceColumnType(String sourceColumnType) {
      this.sourceColumnType = sourceColumnType;
   }

   public String getTargetColumnType() {
      return this.targetColumnType;
   }

   public void setTargetColumnType(String targetColumnType) {
      this.targetColumnType = targetColumnType;
   }

   public String getFlag() {
      return this.flag;
   }

   public String getColumnName() {
      return this.ColumnName;
   }

   public void setColumnName(String columnName) {
      this.ColumnName = columnName;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getEncryptionId() {
      return this.encryptionId;
   }

   public void setEncryptionId(String encryptionId) {
      this.encryptionId = encryptionId;
   }
}
